Migrate from GitHub to SourceForge with this tool. Check out all of SourceForge's recent improvements.
Close

#18 Issue with SACParser.java

closed
RBRi
None
5
2017-04-10
2007-02-14
Anonymous
No

The file throws the below while parsing the css file.
I ran the css file through a few tests and didnt show any errors.

What does the error mean?

error - java.lang.Error: Missing return statement in function

Thanks,
Joe

2007-02-14 14:04:09,591 ERROR [STDERR] processing http://localhost/css/table.css
2007-02-14 14:04:09,591 ERROR [STDERR] java.lang.Error: Missing return statement in function
2007-02-14 14:04:09,591 ERROR [STDERR] at com.steadystate.css.parser.SACParser.selector(Unknown Source)
2007-02-14 14:04:09,591 ERROR [STDERR] at com.steadystate.css.parser.SACParser.selectorList(Unknown Source)
2007-02-14 14:04:09,591 ERROR [STDERR] at com.steadystate.css.parser.SACParser.styleRule(Unknown Source)
2007-02-14 14:04:09,591 ERROR [STDERR] at com.steadystate.css.parser.SACParser.styleSheetRuleList(Unknown Source)
2007-02-14 14:04:09,591 ERROR [STDERR] at com.steadystate.css.parser.SACParser.styleSheet(Unknown Source)
2007-02-14 14:04:09,591 ERROR [STDERR] at com.steadystate.css.parser.SACParser.parseStyleSheet(Unknown Source)

Discussion

  • Nobody/Anonymous

    Logged In: NO

    This error is generated from Line 1226: Missing return statement in function

    It throws the error even for a simple css file.. any idea what is wrong?

    Thanks,
    Joe

     
  • Martin Burchell

    Martin Burchell - 2007-03-28

    Logged In: YES
    user_id=1755366
    Originator: NO

    It's hard to tell what it means without seeing the CSS file.

    I've seen the same error message when parsing CSS with Level 3 attribute selectors (E[foo^="bar"] E[foo$="bar"] E[foo*="bar"]), which aren't supported.

     
  • Nobody/Anonymous

    Logged In: NO

    I encountered this error myself, did some testing and this code triggers the exception:

    ..nieuwsframedatum{
    font-size : 8pt;
    }

    If I remove one of the two dots it works fine.

    I hope this helps,

    Jeroen

     
  • Nobody/Anonymous

    Logged In: NO

    Oh, just one more thing.
    The thrown error cannot be caught by a try-catch(Exception) statement, so the entire application crashes when this error occures. Could you guys at least change that asap?

    Thanks again,
    Jeroen

     
  • RBRi

    RBRi - 2011-07-27

    Now fixed in SVN. Thanks for reporting.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous

    Anonymous - 2017-04-09

    I used https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" and found the same issue. can you please suggest me what i should do.

     
  • RBRi

    RBRi - 2017-04-10

    Have done a quick check with the latest version and CSS3 parser. Works without problems for me.
    Do you use version0.9.22?

     

Anonymous
Anonymous

Cancel  Add attachments